Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.codegen
Class ClassGenerator

    java.lang.Object
      uchicago.src.codegen.ClassGenerator

All Implemented Interfaces:
  CodeGenerator

    public class ClassGenerator

extends java.lang.Object
implements CodeGenerator

Field Summary

Fields inherited from interface uchicago.src.codegen.CodeGenerator
`I_SPACES`

Constructor Summary
`ClassGenerator(java.lang.String scope, java.lang.String name, java.lang.String ext, java.lang.String imp)`

Method Summary
`void` | `add(java.lang.String name, java.lang.Object object)`
`void` | `addIvar(IvarGenerator iv)`
`void` | `addMethod(MethodGenerator method)`
`java.lang.String` | `generate(int ident)`
`void` | `setExtends(java.lang.String ext)`
`void` | `setImplements(java.lang.String imp)`
`void` | `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassGenerator

    public ClassGenerator(java.lang.String scope,
                          java.lang.String name,
                          java.lang.String ext,
                          java.lang.String imp)

Method Detail

### setName

    public void setName(java.lang.String name)

### setExtends

    public void setExtends(java.lang.String ext)

### setImplements

    public void setImplements(java.lang.String imp)

### addIvar

    public void addIvar(IvarGenerator iv)

### addMethod

    public void addMethod(MethodGenerator method)

### add

    public void add(java.lang.String name,
                    java.lang.Object object)

  Specified by:
    `add` in interface `CodeGenerator`

### generate

    public java.lang.String generate(int ident)

  Specified by:
    `generate` in interface `CodeGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD